//***************************************************************************//
//* FRIDA: fast reliable interactive data analysis                          *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                 *//
//* http://apps.jcns.fz-juelich.de/frida                                    *//
//***************************************************************************//

//! \file  jsel.cpp
//! \brief selection of spec/curve index j

#include <string>
#include <vector>
#include <algorithm>

#include <readplus/ask.hpp>

#include "defs.h"
#include "olf.h"
#include "mem.h"
#include "list.h"

//! Interactive spectrum selection.

void JSelAsk( string quest, string *jSel, ::CList *jLis )
{
    NOlm::IterateO fiter;
    int nJmax = 0;
    while ( POlo f=fiter() )
        nJmax = max( nJmax, f->nJ() );

    if ( nJmax==1 )
        *jLis = ::CList("0");
    else {
        *jSel = wask( quest, *jSel );
        *jLis = ::CList ( *jSel, 0, nJmax-1 );
    }
}


